Bug 18465 - Name section of ntptrace.8 is broken.
Summary: Name section of ntptrace.8 is broken.
Status: Closed FIXED
Alias: None
Product: Documentation
Classification: Unclassified
Component: Documentation (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Sheldon Hearn
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2000-05-09 12:30 UTC by takamune
Modified: 2000-05-10 11:09 UTC (History)
0 users

See Also:


Attachments
file.diff (523 bytes, patch)
2000-05-09 12:30 UTC, takamune
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description takamune 2000-05-09 12:30:00 UTC
`% man 8 ntptrace' shows followings.  NAME section is broken.

NAME
     ntptrace - trace a chain of NTP servers back to the

Macros accept up to nine arguments...

How-To-Repeat: 
% man 8 ntptrace
Comment 1 takamune 2000-05-09 13:50:11 UTC
Hi, I've searched all manual pages on FreeBSD 4.0-STABLE box, again.

I think these lines are broken too.  Please fix.

% cd /usr/share/man
% zgrep -E '^\... ' man*/*.gz\
 | egrep -v '^[^:]*:\.(\\"|It|Dl|if)'\
 | sed 's,"[^"]*",xxx,g'\
 | sed 's,``.*'',xxx,g'\
 | sed 's,".*,,'\
 | sed 's,\\ ,,g'\
 | awk '{if (NF > 10) print}'
man1/df.1.gz:.Op Fl b | h | H | k | m | P
man1/dnskeygen.1.gz:.Nd generate public, private, and shared secret keys for DNS Security
man1/ipcrm.1.gz:.Nd remove the specified message queues, semaphore sets, and shared memory
man1/kbdcontrol.1.gz:.Ar repeat (34, 38, 42, 46, 50, 55, 59, 63, 68, 76, 84, 92, 100, 110, 118, 126, 
man1/loadfont.1.gz:.Nd is used to load fonts into EGA or VGA boards for use by the 'pcvt' video
man1/tcpslice.1.gz:.Xr isatty 3 ). This is not a bug but a feature,
man3/fetch.3.gz:.%A R. Fielding, J. Gettys, J. Mogul, H. Frystyk, T. Berners-Lee
man3/properties_free.3.gz:.Nd functions to allow creating simple property lists from ASCII file data.
man3/properties_read.3.gz:.Nd functions to allow creating simple property lists from ASCII file data.
man3/property.3.gz:.Nd functions to allow creating simple property lists from ASCII file data.
man3/property_find.3.gz:.Nd functions to allow creating simple property lists from ASCII file data.
man3/pthread_cond_timedwait.3.gz:.Nd wait on a condition variable for a specific amount of time
man3/strtoul.3.gz:.Nd convert a string to an unsigned long or uquad_t integer
man3/strtouq.3.gz:.Nd convert a string to an unsigned long or uquad_t integer
man4/i4btrc.4.gz:.Nd isdn4bsd ISDN interface driver for D and B channel tracing
man4/icmp6.4.gz:.Tn ICMPv6 messages are passed to the application or that all
man4/si.4.gz:.Nd Driver for Specialix International SI/XIO or SX intelligent serial card.
man4/termios.4.gz:.Dv SIGTTIN signal, or if the process group of the reading
man5/amd.conf.5.gz:.An Other Authors and contributers to am-utils are listed in the 
man5/pim6dd.conf.5.gz:.Nd config file for pim6dd, PIM for IPv6 dense mode daemon
man7/security.7.gz:.Pa the attacker may not have a need to install a backdoor.
man8/amd.8.gz:.An Other authors and contributors to am-utils are listed in the
man8/ntptrace.8.gz:.Nd trace a chain of NTP servers back to the primary source
man8/traceroute6.8.gz:.Nd print the route IPv6 packets will take to the destination
man9/VOP_ACCESS.9.gz:.Nd check access permissions of a file or Unix domain socket
man9/VOP_LEASE.9.gz:.Nd Validates a vnode for a particular set of credentials and operation type
man9/devfs_remove_dev.9.gz:.Nd  remove all references to a devfs device node and delete the node.
man9/device_add_child.9.gz:.Nd add a new device as a child of an existing device
man9/device_add_child_ordered.9.gz:.Nd add a new device as a child of an existing device
man9/vput.9.gz:.Nd decrement the use count for a vnode and unlock it
Comment 2 Sheldon Hearn freebsd_committer 2000-05-09 13:57:44 UTC
Responsible Changed
From-To: freebsd-doc->sheldonh

Over to the maintainer of the NTP manpages. 

Comment 3 Sheldon Hearn freebsd_committer 2000-05-09 14:01:58 UTC
State Changed
From-To: open->closed

Committed, thanks! 

Comment 4 Sheldon Hearn freebsd_committer 2000-05-09 14:04:52 UTC
State Changed
From-To: closed->open

The originator has submitted further fixes of a similar nature. 
Comment 5 Sheldon Hearn freebsd_committer 2000-05-09 14:59:48 UTC
State Changed
From-To: open->analyzed

Thanks, I've corrected most of the ones you listed.  The exceptions 
follow: 

dnskeygen.1 - on vendor branch 
loadfont.1 - already fixed 
fetch.3 - false hit 
properties_free.3 - false hit 
properties_read.3 - false hit 
property_fine.3 - false hit 
strtouq.3 - false hit 
ntptrace.8 - already fixed 
device_add_child_ordered.9 - false hit 

Left in the ``analyzed'' state as a reminder to MFC where 
applicable. 
Comment 6 Sheldon Hearn freebsd_committer 2000-05-09 15:26:53 UTC
State Changed
From-To: analyzed->closed

The patchset was merged onto the RELENG_4 verbatim.  RELENG_3 
was a little more tricky;  df.1, security.7 and device_add_child.9 
required manual changes, and a few other files don't exist on  
the branch. 

Comment 7 takamune 2000-05-10 10:04:26 UTC
Hi, Sheldon!

(Cc: MAINTAINER of src/lib/libfetch)

From: sheldonh@FreeBSD.org
Date: Tue, 9 May 2000 07:01:13 -0700 (PDT)

sheldonh> Thanks, I've corrected most of the ones you listed.  The exceptions
sheldonh> follow:

sheldonh> 	fetch.3 - false hit
sheldonh> 	properties_free.3 - false hit
sheldonh> 	properties_read.3 - false hit
sheldonh> 	property_fine.3 - false hit
sheldonh> 	strtouq.3 - false hit
sheldonh> 	device_add_child_ordered.9 - false hit

Yes, they were almost hard linked manual pages.  But fetch.3 is
broken yet.

`% man 3 fetch' shows:

     R. Fielding, J. Gettys, J. Mogul, H. Frystyk, T., Hypertext Transfer
                                                  ^^^^ 
mdoc.samples(7) says
	.%A     Reference author name, one name per invocation.

Let's fix fetch.3 as follows:

Index: lib/libfetch/fetch.3
===================================================================
RCS file: /home/ncvs/src/lib/libfetch/fetch.3,v
retrieving revision 1.11.2.1
diff -u -r1.11.2.1 fetch.3
--- lib/libfetch/fetch.3	2000/04/22 16:35:34	1.11.2.1
+++ lib/libfetch/fetch.3	2000/05/10 03:00:00
@@ -354,19 +354,26 @@
 .Xr ftpio 3 ,
 .Xr ip 4 .
 .Rs
-.%A T. Berners-Lee, L. Masinter & M. McCahill
+.%A T. Berners-Lee
+.%A L. Masinter
+.%A M. McCahill
 .%D December 1994
 .%T Uniform Resource Locators (URL)
 .%O RFC1738
 .Re
 .Rs
-.%A R. Fielding, J. Gettys, J. Mogul, H. Frystyk, T. Berners-Lee
+.%A R. Fielding
+.%A J. Gettys
+.%A J. Mogul
+.%A H. Frystyk
+.%A T. Berners-Lee
 .%D Januray 1997
 .%B Hypertext Transfer Protocol -- HTTP/1.1
 .%O RFC2068
 .Re
 .Rs
-.%A J. Postel, J. K. Reynolds
+.%A J. Postel
+.%A J. K. Reynolds
 .%D October 1985
 .%B File Transfer Protocol
 .%O RFC959

And some man-pages use .%A macro with pulal author names :(
Should we fix them ?

  ( skip hard linked pages )

% cd /usr/share
% tar cf - man/man* | ( cd /var/tmp; tar xf - )
% cd /var/tmp/man
% foreach file ( `find * -type f ! -links 1` ) 
>   find ${file} ! -links 1 -exec rm -vf {} \;
> end

  ( search automatically used ".%A ... and ")

% zgrep -n '^.%A .* and ' man*/*.gz
man1/red.1.gz:838:.%A B. W. Kernighan and P. J. Plauger
man3/libtacplus.3.gz:340:.%A D. Carrel and Lol Grant
man3/ruserok.3.gz:273:.%A W. Stevens and M. Thomas
man3/ruserok.3.gz:278:.%A W. Stevens, M. Thomas and E. Nordmark
man4/tcp.4.gz:273:.%A V. Jacobson, R. Braden, and D. Borman
man9/ifqueue.9.gz:981:.%A Gary R. Wright and W. Richard Stevens

% zgrep -n '^.%A .*, ' man*/*.gz | egrep -v ' and '

  ( then search manmanuallyually )

man4/sppp.4.gz:169:.%A B. Lloyd,  W. Simpson
man8/spppcontrol.8.gz:205:.%A B. Lloyd,  W. Simpson
man4/ng_rfc1490.4.gz:99:.%A C. Brown, A. Malis
man4/sppp.4.gz:169:.%A B. Lloyd,  W. Simpson
man8/spppcontrol.8.gz:205:.%A B. Lloyd,  W. Simpson
---
With best regards.			Kazu TAKAMUNE
					takamune@avrl.mei.co.jp
Comment 8 Sheldon Hearn freebsd_committer 2000-05-10 10:16:01 UTC
State Changed
From-To: closed->open

The originator has submitted even more problems. :-) 

Comment 9 Sheldon Hearn freebsd_committer 2000-05-10 11:06:23 UTC
State Changed
From-To: open->closed

The proposed solution was adopted.  The following files have been 
fixed in HEAD and RELENG_4: 

bin/ed/ed.1 
lib/libfetch/fetch.3 
lib/libtacplus/libtacplus.3 
lib/libc/net/rcmd.3 
sys/modules/netgraph/rfc1490/ng_rfc1490.4 
share/man/man4/tcp.4 
share/man/man4/sppp.4 
sbin/spppcontrol/spppcontrol.8 
share/man/man9/ifnet.9 

The same patchset was merged onto RELENG_3, except for rcmd.3.